#tomcat server port
server.port = 8090
## Spring DATASOURCE (DataSourceAutoConfiguration & DataSourceProperties)
spring.datasource.url = jdbc:mysql://localhost:3306/graduationdb?useSSL=false
spring.datasource.username = root
spring.datasource.password = admin
## Hibernate Properties
# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL8Dialect
# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = update

# Hibernate configuration to auto-escape all identifiers.
# Identifiers in Hibernate represent the primary key of an entity.
spring.jpa.properties.hibernate.globally_quoted_identifiers=true


